Skip to main content
PATCH
/
public
/
v2
/
webhooks
/
{webhook_uuid}
/
Patch webhook
curl --request PATCH \
  --url https://api.dualentry.com/public/v2/webhooks/{webhook_uuid}/ \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "url": "<string>",
  "topics": [
    "<string>"
  ],
  "is_active": true
}
'
import requests

url = "https://api.dualentry.com/public/v2/webhooks/{webhook_uuid}/"

payload = {
"url": "<string>",
"topics": ["<string>"],
"is_active": True
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', topics: ['<string>'], is_active: true})
};

fetch('https://api.dualentry.com/public/v2/webhooks/{webhook_uuid}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "uuid": "<string>",
  "url": "<string>",
  "topics": [
    "<string>"
  ],
  "is_active": true,
  "created_at": "<string>",
  "last_modified_at": "<string>",
  "disabled_at": "<string>",
  "disabled_reason": ""
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

webhook_uuid
string
required

Body

application/json
url
string | null
Maximum string length: 1024
topics
string[] | null
is_active
boolean | null

Response

OK

uuid
string
required
url
string
required
topics
string[]
required
is_active
boolean
required
created_at
string
required
last_modified_at
string
required
disabled_at
string | null
disabled_reason
string
default:""
Last modified on July 9, 2026